<COMPONENT>

	<HEADER PLATEFORM="ALL" SERIAL="" VERSION="0.102" STATUS="ALPHA"

		COMPATIBILITY="ALL" AUTHOR="Talend" RELEASE_DATE="20130810A"
		STARTABLE="true" PARTITIONING="NONE" LOG4J_ENABLED="true">
		<SIGNATURE />
	</HEADER>

	<FAMILIES>
		<FAMILY>Cloud/Amazon/SQS</FAMILY>
	</FAMILIES>

	<DOCUMENTATION>
		<URL />
	</DOCUMENTATION>

	<CONNECTORS>
		<CONNECTOR CTYPE="FLOW" MAX_INPUT="0" MAX_OUTPUT="1" />
		<CONNECTOR CTYPE="ITERATE" MAX_OUTPUT="1" MAX_INPUT="1" />
		<CONNECTOR CTYPE="SUBJOB_OK" MAX_INPUT="1" />
		<CONNECTOR CTYPE="SUBJOB_ERROR" MAX_INPUT="1" />
		<CONNECTOR CTYPE="COMPONENT_OK" />
		<CONNECTOR CTYPE="COMPONENT_ERROR" />
		<CONNECTOR CTYPE="RUN_IF" />
	</CONNECTORS>

	<PARAMETERS>
		<PARAMETER NAME="USE_EXISTING_CONNECTION" FIELD="CHECK"
			NUM_ROW="2" GROUP="CONNECTION_CONFIG">
			<DEFAULT>false</DEFAULT>
		</PARAMETER>
		<PARAMETER NAME="CONNECTION" FIELD="COMPONENT_LIST"
			REQUIRED="true" FILTER="tSQSConnection" NUM_ROW="2"
			SHOW_IF="USE_EXISTING_CONNECTION == 'true'" GROUP="CONNECTION_CONFIG" />

		<PARAMETER NAME="ACCESS_KEY" FIELD="TEXT" NUM_ROW="20"
			REQUIRED="true" GROUP="CONNECTION_CONFIG"
			SHOW_IF="(USE_EXISTING_CONNECTION == 'false') AND (INHERIT_CREDENTIALS == 'false')">
			<DEFAULT>""</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="SECRET_KEY" FIELD="PASSWORD" NUM_ROW="20"
			REQUIRED="true" GROUP="CONNECTION_CONFIG"
			SHOW_IF="(USE_EXISTING_CONNECTION == 'false') AND (INHERIT_CREDENTIALS == 'false')">
			<DEFAULT>""</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="INHERIT_CREDENTIALS" FIELD="CHECK" NUM_ROW="21"
			REQUIRED="true" GROUP="CONNECTION_CONFIG" SHOW_IF="USE_EXISTING_CONNECTION == 'false'">
			<DEFAULT>false</DEFAULT>
		</PARAMETER>
		<PARAMETER NAME="ASSUME_ROLE" FIELD="CHECK" NUM_ROW="22"
			REQUIRED="true" GROUP="CONNECTION_CONFIG" SHOW_IF="(USE_EXISTING_CONNECTION == 'false')">
			<DEFAULT>false</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="ARN" FIELD="TEXT" NUM_ROW="23" REQUIRED="true"
			GROUP="CONNECTION_CONFIG" SHOW_IF="isShow[ASSUME_ROLE] AND (ASSUME_ROLE == 'true')">
			<DEFAULT>""</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="ROLE_SESSION_NAME" FIELD="TEXT" NUM_ROW="24"
			REQUIRED="true" GROUP="CONNECTION_CONFIG"
			SHOW_IF="isShow[ASSUME_ROLE] AND (ASSUME_ROLE == 'true')">
			<DEFAULT>""</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="SESSION_DURATION" FIELD="TEXT" NUM_ROW="25"
			REQUIRED="true" GROUP="CONNECTION_CONFIG"
			SHOW_IF="isShow[ASSUME_ROLE] AND (ASSUME_ROLE == 'true')">
			<DEFAULT>15</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="REGION" FIELD="OPENED_LIST" RAW="true"
			NUM_ROW="30" REQUIRED="true" SHOW_IF="USE_EXISTING_CONNECTION == 'false'">
			<ITEMS DEFAULT="DEFAULT">
				<ITEM NAME="DEFAULT" VALUE="DEFAULT" />
				<ITEM NAME="AP_SOUTHEAST_1" VALUE="&quot;ap-southeast-1&quot;" />
				<ITEM NAME="AP_SOUTHEAST_2" VALUE="&quot;ap-southeast-2&quot;" />
				<ITEM NAME="AP_NORTHEAST_1" VALUE="&quot;ap-northeast-1&quot;" />
				<ITEM NAME="CN_NORTH_1" VALUE="&quot;cn-north-1&quot;" />
				<ITEM NAME="EU_WEST_1" VALUE="&quot;eu-west-1&quot;" />
				<ITEM NAME="EU_CENTRAL_1" VALUE="&quot;eu-central-1&quot;" />
				<ITEM NAME="GovCloud" VALUE="&quot;us-gov-west-1&quot;" />
				<ITEM NAME="SA_EAST_1" VALUE="&quot;sa-east-1&quot;" />
				<ITEM NAME="US_EAST_1" VALUE="&quot;us-east-1&quot;" />
				<ITEM NAME="US_WEST_1" VALUE="&quot;us-west-1&quot;" />
				<ITEM NAME="US_WEST_2" VALUE="&quot;us-west-2&quot;" />
			</ITEMS>
		</PARAMETER>

		<PARAMETER NAME="QUEUE_URL" FIELD="TEXT" NUM_ROW="40"
			REQUIRED="true">
			<DEFAULT>""</DEFAULT>
		</PARAMETER>

		<PARAMETER NAME="SCHEMA" FIELD="SCHEMA_TYPE" NUM_ROW="50"
			REQUIRED="true">
			<TABLE READONLY="true">
				<COLUMN KEY="false" NAME="ApproximateNumberOfMessages" TYPE="id_Integer" />
				<COLUMN KEY="false" NAME="ApproximateNumberOfMessagesDelayed"
					TYPE="id_Integer" />
				<COLUMN KEY="false" NAME="ApproximateNumberOfMessagesNotVisible"
					TYPE="id_Integer" />
				<COLUMN KEY="false" NAME="CreatedTimestamp" TYPE="id_Long" />
				<COLUMN KEY="false" NAME="DelaySeconds" TYPE="id_Integer" />
				<COLUMN KEY="false" NAME="LastModifiedTimestamp" TYPE="id_Long" />
				<COLUMN KEY="false" NAME="MaximumMessageSize" TYPE="id_Integer" />
				<COLUMN KEY="false" NAME="MessageRetentionPeriod" TYPE="id_String" />
				<COLUMN KEY="false" NAME="Policy" TYPE="id_String" />
				<COLUMN KEY="false" NAME="QueueArn" TYPE="id_String" />
				<COLUMN KEY="false" NAME="ReceiveMessageWaitTimeSeconds"
					TYPE="id_Integer" />
				<COLUMN KEY="false" NAME="RedrivePolicy" TYPE="id_String" />
				<COLUMN KEY="false" NAME="VisibilityTimeout" TYPE="id_Integer" />
				<COLUMN KEY="false" NAME="KmsMasterKeyId" TYPE="id_String" />
				<COLUMN KEY="false" NAME="KmsDataKeyReusePeriodSeconds" TYPE="id_Integer" />
				<COLUMN KEY="false" NAME="FifoQueue" TYPE="id_Boolean" />
				<COLUMN KEY="false" NAME="ContentBasedDeduplication" TYPE="id_Boolean" />
			</TABLE>
		</PARAMETER>

		<PARAMETER NAME="DIE_ON_ERROR" FIELD="CHECK" NUM_ROW="90">
			<DEFAULT>true</DEFAULT>
		</PARAMETER>

	</PARAMETERS>

	<ADVANCED_PARAMETERS>
		<PARAMETER NAME="CONFIG_CLIENT" FIELD="CHECK" NUM_ROW="10"
			NB_LINES="5">
		</PARAMETER>

		<PARAMETER NAME="CLIENT_CONFIGURATION" FIELD="TABLE"
			NUM_ROW="20" NB_LINES="5" REQUIRED="true" SHOW_IF="CONFIG_CLIENT=='true'">
			<ITEMS>
				<ITEM NAME="CLIENT_PARAMETER" FIELD="CLOSED_LIST">
					<ITEMS DEFAULT="CONNECTIONTIMEOUT">
						<ITEM NAME="CONNECTIONTIMEOUT" VALUE="ConnectionTimeout" />
						<ITEM NAME="MAXCONNECTIONS" VALUE="MaxConnections" />
						<ITEM NAME="MAXERRORRETRY" VALUE="MaxErrorRetry" />
						<ITEM NAME="PROTOCOL" VALUE="Protocol" />
						<ITEM NAME="PROXYDOMAIN" VALUE="ProxyDomain" />
						<ITEM NAME="PROXYHOST" VALUE="ProxyHost" />
						<ITEM NAME="PROXYPASSWORD" VALUE="ProxyPassword" />
						<ITEM NAME="PROXYPORT" VALUE="ProxyPort" />
						<ITEM NAME="PROXYUSERNAME" VALUE="ProxyUsername" />
						<ITEM NAME="PROXYWORKSTATION" VALUE="ProxyWorkstation" />
						<ITEM NAME="SOCKETTIMEOUT" VALUE="SocketTimeout" />
						<ITEM NAME="USERAGENT" VALUE="UserAgent" />
						<ITEM NAME="SOCKETRECEIVEBUFFERSIZEHINT" VALUE="SocketReceiveBufferSizeHints" />
						<ITEM NAME="SOCKETSENDBUFFERSIZEHINT" VALUE="SocketSendBufferSizeHints" />
					</ITEMS>
				</ITEM>
				<ITEM NAME="VALUE" />
			</ITEMS>
		</PARAMETER>

		<PARAMETER NAME="SET_STS_ENDPOINT" FIELD="CHECK" NUM_ROW="25"
			NB_LINES="5" SHOW_IF="ASSUME_ROLE == 'true'">
		</PARAMETER>
		<PARAMETER NAME="STS_ENDPOINT" FIELD="TEXT" NUM_ROW="25"
			REQUIRED="true" SHOW_IF="(ASSUME_ROLE == 'true') AND (SET_STS_ENDPOINT == 'true')">
			<DEFAULT>""</DEFAULT>
		</PARAMETER>

	</ADVANCED_PARAMETERS>

	<CODEGENERATION>
		<IMPORTS>
            <IMPORT NAME="aws-java-sdk-1.11.406.jar" MODULE="aws-java-sdk-1.11.406.jar"
			    MVN="mvn:com.amazonaws/aws-java-sdk/1.11.406"
			    REQUIRED_IF="USE_EXISTING_CONNECTION == 'false'" />
			<IMPORT NAME="Driver-Commons-Logging-1.1.1" MODULE="commons-logging-1.1.1.jar"
				MVN="mvn:org.talend.libraries/commons-logging-1.1.1/6.0.0"
				UrlPath="platform:/base/plugins/org.apache.commons.logging_1.1.1.v201101211721.jar"
				REQUIRED_IF="USE_EXISTING_CONNECTION == 'false'" BundleID="" />
			<IMPORT NAME="httpcore-4.4.9" MODULE="httpcore-4.4.9.jar"
				MVN="mvn:org.apache.httpcomponents/httpcore/4.4.9"
				REQUIRED_IF="USE_EXISTING_CONNECTION == 'false'" />
			<IMPORT NAME="httpclient-4.5.5" MODULE="httpclient-4.5.5.jar"
				MVN="mvn:org.apache.httpcomponents/httpclient/4.5.5"
				REQUIRED_IF="USE_EXISTING_CONNECTION == 'false'" />
			<IMPORT NAME="commons-codec-1.6.jar" MODULE="commons-codec-1.6.jar"
				MVN="mvn:org.talend.libraries/commons-codec-1.6/6.0.0"
				UrlPath="platform:/plugin/org.talend.libraries.apache.common/lib/commons-codec-1.6.jar"
				REQUIRED_IF="USE_EXISTING_CONNECTION == 'false'" />
			<IMPORT NAME="jackson-core-2.10.1.jar" MODULE="jackson-core-2.10.1.jar"
				MVN="mvn:com.fasterxml.jackson.core/jackson-core/2.10.1"
				REQUIRED_IF="USE_EXISTING_CONNECTION == 'false'" />
			<IMPORT NAME="jackson-databind-2.10.1.jar" MODULE="jackson-databind-2.10.1.jar"
				MVN="mvn:com.fasterxml.jackson.core/jackson-databind/2.10.1"
				REQUIRED_IF="USE_EXISTING_CONNECTION == 'false'"/>
			<IMPORT NAME="jackson-annotations-2.10.1.jar" MODULE="jackson-annotations-2.10.1.jar"
				MVN="mvn:com.fasterxml.jackson.core/jackson-annotations/2.10.1"
				REQUIRED_IF="USE_EXISTING_CONNECTION == 'false'" />
			<IMPORT NAME="joda-time" MODULE="joda-time-2.8.1.jar"
				MVN="mvn:joda-time/joda-time/2.8.1" REQUIRED_IF="USE_EXISTING_CONNECTION == 'false'" />
		</IMPORTS>
	</CODEGENERATION>

	<RETURNS />
</COMPONENT>
